---
title: Details
slug: serpwow/search-api/searches/google/place-details
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Google Place Details Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=google&search_type=place_details`

The Google Place Details Parameters apply when making a request with  `search_type=place_details` to retrieve information about a specific place. The place is identified using the  `data_id`  parameter,  which can be obtained from the results of `search_type=places`  request. [Places requests](https://docs.trajectdata.com/serpwow/search-api/searches/google/places).

If the  `data_id`  is not available. you may use `data_cid` (a standardized Google Place identifier). However, `data_id` is the recommended identifier.

::Image[]{src="https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/SYHSPk7wOY8izs_Z5FXQH-20260206-213834.png" size="64" width="415" height="423" position="center" caption="Google Place Details" alt="place_details" darkWidth="415" darkHeight="423" showCaption="true"}

For example, to request place detail results for a Place with  `data_id=0x87b7122bd8e99a89:0xf20c18461109b2c0` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&search_type=place_details&data_id=0x87b7122bd8e99a89:0xf20c18461109b2c0
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d search_type="place_details" \
-d data_id="0x87b7122bd8e99a89:0xf20c18461109b2c0"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  search_type: "place_details",
  data_id: "0x87b7122bd8e99a89:0xf20c18461109b2c0"
}

// make the http GET request
axios.get('https://api.serpwow.com/live"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'search_type': 'place_details',
  'data_id': '0x87b7122bd8e99a89:0xf20c18461109b2c0'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'search_type' => 'place_details',
  'data_id' => '0x87b7122bd8e99a89:0xf20c18461109b2c0'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Place Details Parameters

The following parameters are available for all requests made when  `search_type=place_details` .

| `Parameter`               | `Required` | `Description`                                                                                                                                                                                                                                                                      |
| ------------------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `engine`                  | `required` | Should be set to `engine=google` .                                                                                                                                                                                                                                                 |
| `search_type`             | `required` | Should be set to `search_type=place_details` .                                                                                                                                                                                                                                     |
| `data_id`                 | `required` | The `data_id` of the Place to retrieve place details for. `data_id` values are returned in [Places](https://docs.trajectdata.com/serpwow/search-api/searches/google/places) results .  <br /><br />**Note** that either a `data_id` **or** `data_cid` identifier must be supplied. |
| `data_cid`                | `required` | The `data_cid` (a standard Google Place identifier) of the Place to retrieve place details for. `data_cid` values are returned in Places requests .  <br /><br />**Note** that either a `data_id` or `data_cid` identifier must be supplied.                                       |
| `include_gps_coordinates` | `optional` | If set to `include_gps_coordinates=true`, then the response includes GPS coordinates.<br /><br />**Note**: Costs **1 additional credit** when set to true.                                                                                                                         |
| `hl`                      | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-languages). Defaults to `en` .                                                        |

***

**Next Steps**
     [Google Place Details Results](https://docs.trajectdata.com/serpwow/search-api/results/google/place-details)
